Bug 1121303 - Review Request: jackson-dataformat-yaml - Jackson module to add YAML backend (parser/generator adapters)
Summary: Review Request: jackson-dataformat-yaml - Jackson module to add YAML backend ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1121297 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 01:00 UTC by gil cattaneo
Modified: 2014-07-23 12:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 12:06:23 UTC
msimacek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2014-07-19 01:00:22 UTC
Spec URL: http://gil.fedorapeople.org/jackson-dataformat-yaml.spec
SRPM URL: http://gil.fedorapeople.org/jackson-dataformat-yaml-2.4.1-1.fc19.src.rpm
Description: Support for reading and writing YAML-encoded data via Jackson
abstractions.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7165915

only F21 see bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=1121231
[Bug 1121231] NoSuchMethodError with new maven-doxia 1.6 in Rawhide

Comment 1 Michael Simacek 2014-07-22 14:43:45 UTC
*** Bug 1121297 has been marked as a duplicate of this bug. ***

Comment 2 Michael Simacek 2014-07-22 15:33:45 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- The LICENSE file only says which license is used, but doesn't include
  the license text itself. ASL 2.0 requires the whole license text to be
  distributed.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 20 files have unknown license. Detailed output of
     licensecheck in /home/msimacek/1121303-jackson-dataformat-
     yaml/licensecheck.txt
[?]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jackson-
     dataformat-yaml-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jackson-dataformat-yaml-2.4.1-1.fc21.noarch.rpm
          jackson-dataformat-yaml-javadoc-2.4.1-1.fc21.noarch.rpm
          jackson-dataformat-yaml-2.4.1-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jackson-dataformat-yaml jackson-dataformat-yaml-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
jackson-dataformat-yaml (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.fasterxml.jackson.core:jackson-core)
    mvn(org.yaml:snakeyaml)

jackson-dataformat-yaml-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jackson-dataformat-yaml:
    jackson-dataformat-yaml
    mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-yaml)
    mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-yaml:pom:)
    osgi(com.fasterxml.jackson.dataformat.jackson-dataformat-yaml)

jackson-dataformat-yaml-javadoc:
    jackson-dataformat-yaml-javadoc



Source checksums
----------------
https://github.com/FasterXML/jackson-dataformat-yaml/archive/jackson-dataformat-yaml-2.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : e8804a6866dabe2d288f046920bf32250e8cc2f4de4f1500a924f93c6d999aba
  CHECKSUM(SHA256) upstream package : e8804a6866dabe2d288f046920bf32250e8cc2f4de4f1500a924f93c6d999aba


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1121303
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Michael Simacek 2014-07-22 21:06:59 UTC
Licensing now seems ok. APPROVED

Comment 5 gil cattaneo 2014-07-22 21:23:31 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: jackson-dataformat-yaml
Short Description: Jackson module to add YAML backend (parser/generator adapters)
Owners: gil msimacek
Branches: f21
InitialCC: java-sig

Comment 6 Gwyn Ciesla 2014-07-23 10:10:03 UTC
Git done (by process-git-requests).

Comment 7 gil cattaneo 2014-07-23 12:06:23 UTC
This bug should fixed in

jackson-dataformat-yaml-2.4.1-1.fc22

Task Info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7184501
Build Info: http://koji.fedoraproject.org/koji/buildinfo?buildID=547205

jackson-dataformat-yaml-2.4.1-1.fc21

Task Info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7184661
Build Info: http://koji.fedoraproject.org/koji/buildinfo?buildID=547217


Note You need to log in before you can comment on or make changes to this bug.